Search found 8 matches

by ajarivas72
Sun Sep 23, 2018 5:20 am
Forum: Job offers
Topic: Help wanted. Python script for second moment of area
Replies: 9
Views: 5922

Re: Help wanted. Python script for second moment of area

Hallo lukassturm

I did not see your message until today.

Tomorrow I will give you a look to your question.

Best regards

Auf Wiederhören.

Alejandro
by ajarivas72
Sun Sep 23, 2018 5:14 am
Forum: Python scripting and macros
Topic: How to run the freecad-python scripts in the command line?
Replies: 19
Views: 16151

Re: How to run the freecad-python scripts in the command line?

Hello

In Linux use the following command:

freecadcmd myscript.py
by ajarivas72
Sun Jan 28, 2018 9:00 am
Forum: Job offers
Topic: Help wanted. Python script for second moment of area
Replies: 9
Views: 5922

Re: Help wanted. Python script for second moment of area

chrisb

Thanks a lot. It worked beautifully
by ajarivas72
Sun Jan 28, 2018 7:41 am
Forum: Job offers
Topic: Help wanted. Python script for second moment of area
Replies: 9
Views: 5922

Re: Help wanted. Python script for second moment of area

UR_

Hello.

How do you create DWire object from the Sketch in your file ?
by ajarivas72
Sat Jan 27, 2018 5:28 pm
Forum: Job offers
Topic: Help wanted. Python script for second moment of area
Replies: 9
Views: 5922

Re: Help wanted. Python script for second moment of area

UR_ and mario52

I thank you very much.
by ajarivas72
Sun Jan 21, 2018 1:30 am
Forum: Job offers
Topic: Help wanted. Python script for second moment of area
Replies: 9
Views: 5922

Help wanted. Python script for second moment of area

Hello I am looking for a Python script that computes the second moment of area of a surface. I need the second moment of area to compute the bending stress with the formula: S = M * y / Iyy where M = bending moment y : distance from the center of area Iyy: second moment of area The quantity I need i...
by ajarivas72
Wed Aug 16, 2017 12:14 am
Forum: Open discussion
Topic: [Solved] run FreeCAD without GUI
Replies: 4
Views: 3780

Re: run FreeCAD without GUI

yes it does.

It works beautifully.
by ajarivas72
Thu Nov 10, 2016 10:17 pm
Forum: Python scripting and macros
Topic: How to extrude existing sketch in Python?
Replies: 3
Views: 2699

Re: How to extrude existing sketch in Python?

The 4 lines are right

import Part
wire = FreeCAD.ActiveDocument.mySketch.Shape.Wires[0]
face = Part.Face(wire)
extr = Face.extrude(FreeCAD.Vector(0,0,10))

just the word "Face" in the last line must be lowercase "face".

extr = face.extrude(FreeCAD.Vector(0,0,10))